%define	upstream_name	 Mail-RBL
%define	upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Perl extension to access RBL-style host verification services
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(NetAddr::IP)
BuildRequires:  perl(Net::DNS)
Buildarch:	noarch


%description
This module eases the task of checking if a given host is in the list. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# some RBL can't be queries from build host
export SKIP_RBL_TESTS=1
%{__make} test

%install
%make_install

%files 
%doc README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-9.mga8
+ Revision: 1495497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-8.mga7
+ Revision: 1269132
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1029507
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 929712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 748235
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685319
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 512740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 369424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33945
- mageia rebuild
- imported package perl-Mail-RBL


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 403843
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.10-4mdv2009.0
+ Revision: 257692
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.10-3mdv2009.0
+ Revision: 245778
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.10-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2008.0
+ Revision: 48616
- update to new version 1.10
- skip RBL tests


* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2007.0
+ Revision: 94825
- new version
- Import perl-Mail-RBL

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-4mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.04-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.04-2mdk
- Add BuildRequires

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- new version 
- spec cleanup
- fix directory ownership
- re-enale tests

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.02-2mdk
- rebuild

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.02-1mdk
- 1.02
- disable test for now
- cosmetics

